<?php
/**
 * Plugin Name: Checkinera license key check fix
 * Plugin URI: https://tickera.com
 * Description: ...
 * Author: Tickera
 * Author URI: https://tickera.com
 * Version: 1.1
 * TextDomain: tc
 * Domain Path: /languages/
 * Copyright 2021 Tickera (https://tickera.com)
 */

if ( ! defined( 'ABSPATH' ) )
    exit; // Exit if accessed directly

add_action( 'activated_plugin', function() {

    $plugin_slug = basename( __DIR__ ) . '/' . basename( __FILE__ );
    $active_plugins = get_option( 'active_plugins', [] );
    $index = array_search( $plugin_slug, $active_plugins );

    if ( $index !== false ) {
        unset( $active_plugins[ $index ] );
        $active_plugins[] = $plugin_slug;
        update_option( 'active_plugins', array_values( $active_plugins ) );
    }
}, 99 );

add_filter( 'tc_checkinera_check_type', 'tc_checkinera_check_type', 10, 1 );
function tc_checkinera_check_type( $type ) {
    $type = 'license';
    return $type;
}